Taslak Ofsetle

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Offset and the translation is 79% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft Offset.svg Ofsetle

Menü konumu
Taslak → Ofsetle
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
O S
Versiyonda tanıtıldı
-
Ayrıca bkz
Parça 2D ofset


Tanım

Ofset aracı seçilen nesneyi kendisine dik verilen belirli bir mesafeye (ofset) hareket ettirir.

Tipik olarak, bu araç, bu teli aynı yerde bırakırken bir baz kablonun ofset kopyalarını oluşturmak için kopya modunda kullanılır. Ofset kopyaları, orijinal nesnenin ölçeklendirilmiş versiyonlarıdır. Diğer ölçekli kopyalar oluşturmak için Ölçek kullanın. Tam kopyalar üretmek için bir mesafe kaydırılmış Taşı kullanın.

Draft Offset example.jpg

Bir teli kenarlarından birinden belirli bir mesafeye kaydırmak


Nasıl Kullanılır

  1. Offset yapmak istediğiniz nesneyi seçin.
  2. Draft Offset.png Ofset düğmesine basın veya O ardından S tuşlarına basın. Hiçbir nesne seçilmezse, birini seçmeye davet edilirsiniz.
  3. 3D görünümde bir noktaya tıklayın veya bir mesafe yazın.

Ofseti oluşturmak için kullanılan mesafe, işaretçinin konumuna bağlı olarak orijinal şeklin kenarlarından birine diktir. İşaretçi başka bir kenara yaklaşırsa, bu kenar şimdi mesafenin referansı haline gelir. İşaretçiyi diğer kenarlara yaklaştırmanıza rağmen geçerli referans kenarını korumak için Shift tuşunu basılı tutun.

Seçenekler

  • Kopyalamamoduna geçmek için P tuşuna basın veya onay kutusunu tıklayın. Kopyalama modu açıksa, Ofset aracı orijinal şekli yerinde tutar, ancak seçilen noktada ölçeklendirilmiş bir kopya oluşturur.
  • Aynı zamanda geçiş modunu değiştirecek noktayı seçerken Alt tuşunu basılı tutun. Alt tuşuna basılı tutmak, ofset kopya yerleştirmeye devam etmenizi sağlar; İşlemi tamamlamak ve tüm ofset şekillerini görmek için Alt tuşunu serbest bırakın.
  • OCC moduna geçmek için "OCC stili" onay kutusunu tıklayın. Bu, segmentlerin uçlarında yuvarlatılmış kenarlarla özel olarak kapalı bir şekil üretecek olan bir çizgi parçasının her iki tarafından bir denge oluşturacaktır.
Note: Bu stilde orijinal bölümler kaldırılacak, bu nedenle orijinal kenarları korumak için kopyalama modunu kullanın.
  • snapping noktanızı mesafeden bağımsız olarak en yakın çeki konumuna zorlamak için ofset yaparken Ctrl tuşunu basılı tutun.
  • Geçerli segment için belirtilen uzaklık mesafesini korumak için Shift tuşunu basılı tutun ve başka bir referans seçmekten kaçının.
  • Geçerli komutu iptal etmek için Esc veya Close tuşuna basınız; önceden yerleştirilmiş ofset kopyalar kalacaktır.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Ofset aracı, aşağıdaki işlevi kullanarak makrolar ve python konsolundan kullanılabilir:

Offsetobj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • Vektör olarak tanımlanan verilen delta verilen delta telini ilk köşesine uygulayarak ofsetler.
  • copy True ise, orijinal nesneyi dengelemek yerine başka bir nesne oluşturulur.
  • Eğer bind True ise ve tel nesnesinin açık olması şartıyla, orijinal ve ofset tel uç noktalarına bağlanarak bir yüz oluşturacaklardır.
    • Eğer sym True ise, bind de True olmalı ve ofset telin her iki tarafında da yapılmalı, toplam genişlik verilen vektörün uzunluğudur.
  • occ True ise, OCC stili ofsetini kullanacaktır: her iki taraftan ofset yapacak, sonra yeni telleri birbirine bağlayacak ve köşeleri yuvarlayacaktır.
  • Offsetobj orijinal ofset nesnesiyle veya yeni kopyayla döndürülür.

Örnek:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1500, 2000, 0)
p3 = FreeCAD.Vector(4000, 0, 0)

Wire = Draft.makeWire([p1, p2, p3])

vector = FreeCAD.Vector(0, 500, 0)
Offset_1 = Draft.offset(Wire, vector, copy=True)
Offset_2 = Draft.offset(Wire, 3*vector, copy=True)
Offset_3 = Draft.offset(Wire, 6*vector, copy=True)
Offset_4 = Draft.offset(Wire, 9*vector, copy=True)
Offset_5 = Draft.offset(Wire, 1.5*vector, copy=True, occ=True)